SDL_EnumerateDirectory(3)

NAME
SDL_EnumerateDirectory - Enumerate a directory through a callback function.

HEADER FILE
Defined in SDL3/SDL_filesystem.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_EnumerateDirectory(const char *path, SDL_EnumerateDirectoryCallback callback, void *userdata);

DESCRIPTION
This function provides every directory entry through an app-provided callback, called once for each directory entry, until all results have been provided or the callback returns either

SDL_ENUM_SUCCESS
 or

SDL_ENUM_FAILURE .

This will return false if there was a system problem in general, or if a callback returns SDL_ENUM_FAILURE . A successful return means a callback returned SDL_ENUM_SUCCESS
 to halt enumeration, or all directory entries were enumerated.

FUNCTION PARAMETERS

path
    the path of the directory to enumerate.

callback
    a function that is called for each entry in the directory.

userdata
    a pointer that is passed to callback .

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.